Subject: [PATCH 00/10] clk: mvebu: restructure SoC clock drivers

From: [email-masked] (Thomas Petazzoni)
Date: Mon, 20 May 2013 20:15:49 +0200

Dear Jason Cooper,

On Mon, 20 May 2013 13:58:27 -0400, Jason Cooper wrote:

> > I've tested on Armada 370 DB (after reverting the ARM core patch
> > that prevents this platform from booting) and the Armada XP DB.
> > Both boards boot fine, and detect PCIe devices as they should.
> > 
> > There is some conflict between this set of commits and the two
> > commits that modify the PCIe clocks in my PCIe series. I've pushed
> > a branch at
> > https://github.com/MISL-EBU-System-SW/mainline-public/tree/marvell-pcie-v10-and-seb-clks
> > which has the mvebu PCIe stuff + Sebastian patches on top of it,
> > with the conflicts resolved. The tricky thing is that since
> > Sebastian is adding new clock files, and then removing the old
> > ones, it's pretty easy to "loose" the changes the two PCIe clock
> > patches are doing. The branch above works on Armada 370/XP, so you
> > can compare the clock files if needed.
> 
> hmm, in my haste yesterday, I did this in the opposite order (clk,
> then pcie on top).  I'm going to reshuffle them because I don't want
> pcie depending on and waiting for this clock series to be ready :)

Ok. Either way is fine with me, but it's true that chronologically, the
PCIe stuff has been around for way more time than the clk
restructure patches.

> The good news is everything (except kirkwood-pcie, ran out of time)
> made it through linux-next!  Also, kisskb is now building
> mvebu_defconfig in addition to all the other ones.

Ok. Gregory can give more details, but I believe we are also building
daily linux-next and Linus master for the mvebu_defconfig.

Best regards,

Thomas
-- 
Thomas Petazzoni, Free Electrons
Kernel, drivers, real-time and embedded Linux
development, consulting, training and support.
http://free-electrons.com